> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization switch options

> Lists organizations the authenticated user can switch into, including membership role and current-organization selection data.



## OpenAPI

````yaml /openapi.json get /organizations/me/options
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    organization settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Feedback
  - name: Leads
  - name: LeadStatusChanges
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: Organizations
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /organizations/me/options:
    get:
      tags:
        - Organizations
      summary: List organization switch options
      description: >-
        Lists organizations the authenticated user can switch into, including
        membership role and current-organization selection data.
      operationId: Organizations_GetSwitchOptions
      responses:
        '200':
          description: Returns the list of organization switch option.
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/OrganizationSwitchOption'
                  description: >-
                    API DTO containing organization switch option data used by
                    Leadping API contracts.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    OrganizationSwitchOption:
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this organization switch option.
        name:
          type: string
          description: The human-readable name shown for this organization switch option.
        role:
          allOf:
            - $ref: '#/components/schemas/OrganizationMemberRole'
          description: The role value for this organization switch option.
        isCurrent:
          type: boolean
          description: Whether this organization switch option is current.
        lastUsedAt:
          type: string
          description: >-
            The date and time for the last used at value on this organization
            switch option.
          format: date-time
          nullable: true
        organizationStatus:
          enum:
            - SettingUp
            - SetupCompleted
            - Active
          type: string
          description: Defines the supported Organization Status values.
          nullable: true
        activationStatus:
          enum:
            - DraftOnboarding
            - PaymentMethodPending
            - PaymentMethodConfirmed
            - SubscriptionPending
            - SubscriptionReceived
            - SubscriptionActive
            - LaunchReviewPending
            - TelephonyProvisioningPending
            - TelephonyPartiallyProvisioned
            - TelephonyReady
            - AwaitingReview
            - DomainSelection
            - WebsiteSetup
            - ComplianceRegistration
            - ReadyForApproval
            - Active
            - Failed
            - Blocked
            - BlockedRequiresOperatorAction
            - ManuallyBypassed
          type: string
          description: Defines the supported Customer Activation Status values.
          nullable: true
        tenDlcStatus:
          enum:
            - NotStarted
            - DraftGenerated
            - DraftIncomplete
            - ReadyToSubmit
            - Submitted
            - PendingTelnyxReview
            - Approved
            - Rejected
            - NeedsChanges
            - ResubmissionReady
            - Failed
          type: string
          description: Defines the supported 10DLC Application Status values.
          nullable: true
        needsAdminReview:
          type: boolean
          description: >-
            Whether needs admin review applies to this organization switch
            option.
        activationSummary:
          type: string
          description: The activation summary value for this organization switch option.
          nullable: true
        hasPaymentMethod:
          type: boolean
          description: Whether the organization has a default billing payment method.
        readyForCustomerTraffic:
          type: boolean
          description: >-
            Whether ready for customer traffic applies to this organization
            switch option.
      description: >-
        API DTO containing organization switch option data used by Leadping API
        contracts.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    OrganizationMemberRole:
      enum:
        - Owner
        - Admin
        - Agent
      type: string
      description: Defines the supported Organization User Role values.

````